export class VMError extends Error {
    constructor(err) {
        super(`[${err.name}: ${err.message}]`);
        Object.defineProperty(this, "err", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: err
        });
    }
}
